= 2.39 =
* Compatibility with WooCommerce 10.6.

= 2.38 =
* Additional order logic for payment gateway integration.

= 2.37 =
* Other bug fixes.

= 2.36 =
* Minor compatibility fix.

= 2.35 =
* Blocks updates for Express Payment options.

= 2.34 =
* Integration with payment gateways and bug fixes.

= 2.33 =
* Integration for Payment Plugins for PayPal WooCommerce.

= 2.32 =
* Updates for gift card redeeming process.

= 2.31 =
* Prevent gift card debit when order is in Failed status.

= 2.30 =
* Added additional logic for gift card creation.

= 2.29 =
* Bug fix for null session.

= 2.28 =
* Update for "No payment method provided." error during checkout.

= 2.27 =
* Fixed an issue with translating the gift card sections of the WooCommerce Cart and Checkout Blocks.

= 2.26 =
* Confirmed compatibility with WooCommerce 10.4.

= 2.25 =
* Updated translations. Confirmed compatibility with WordPress 6.9

= 2.24 =
* Updated readme to indicate compatibility with WooCommerce Blocks and HPOS.

= 2.23 =
* Added a new setting to allow hiding the Apply Gift Card form on Blocks Cart and Checkout pages.

= 2.22 =
* WooCommerce Blocks support added for Cart and Checkout. Confirmed compatibility with WooCommerce 10.3

= 2.21 =
* Bug fix for attribute drop down display text.

= 2.20 =
* Confirmed compatibility with WooCommerce 10.2

= 2.19 =
* Small bug fix to version numbering. Bug fix for order total rounding issue.

= 2.18 =
* Bug fix for currency conversion issue (double conversion).

= 2.17 =
* Compatibility with WooCommerce 10.1.

= 2.16 =
* Added integration with YayCurrency currency switcher.

= 2.15 =
* Added additional parameter (product id) for pw_gift_cards_random_card_number filter.

= 2.14 =
* Fixed a timezone conversion issue in the gift card admin area.

= 2.13 =
* Added support for VillaTheme (CURCY) fixed pricing settings.

= 2.12 =
* Added create date to primary grid on Balances page. Compatibility with WordPress 6.8 and WooCommerce 9.8.

= 2.11 =
* Fix for integration with the FOX Currency Switcher plugin. Confirmed compatibility with WooCommerce 9.6 Fixed currency formatting on the email design when using the {amount} placeholder.

= 2.10 =
* HPOS updates for some currency conversion plugin integrations.

= 2.9 =
* Improved the Swedish translations. Fixed a Table Does Not Exist error.

= 2.8 =
* Fixed an issue with new installations where the tables aren't automatically created.

= 2.7 =
* Compatibility fix for translations in WordPress 6.7 Updated readme.txt file to include Polish translation. Prevent an exception when upgrading to the Pro version when the free version is still activated.

= 2.6 =
* Added Polish translation.

= 2.5 =
* Changed hook for loading translations file to avoid warning in WordPress 6.7.

= 2.4 =
* Added compatibility declaration for the WooCommerce Price Based on Country plugin. Updated WooCommerce minimum version requirement in readme. Compatibility with WordPress 6.7 and WooCommerce 9.4.

= 2.3 =
* Added new hooks pwgc_admin_search_results_row_before_number, pwgc_admin_search_results_row_after_number. Remove blank values from notifications array. Compatibility with WooCommerce 9.3.

= 2.2 =
* Fixed an issue when using the WP Optimize plugin with Minify and Merge Javascript enabled.

= 2.1 =
* Performance improvements.

= 2.0 =
* Added Slovak translation files. Compatibility with WordPress 6.6 and WooCommerce 9.1.

= 1.255 =
* WooCommerce 9.0 compatibility.

= 1.254 =
* Revised tags in readme.txt Added requirement flag for WooCommerce. Confirmed compatibility with WooCommerce 8.8

= 1.253 =
* Fixed a conflict with Discount Rules for WooCommerce by Flycart. Compatibility with WordPress 6.5 and WooCommerce 8.7

= 1.252 =
* Confirmed compatibility with WooCommerce 8.6

= 1.251 =
* Confirmed compatibility with WooCommerce 8.4

= 1.250 =
* Confirmed compatibility with WooCommerce 8.3

= 1.249 =
* Confirmed compatibility with WordPress 6.4

= 1.248 =
* Prevent an exception from being thrown on some systems when the retrieved Order object is invalid.

= 1.247 =
* Added two new hooks to allow third party plugin developers to integrate with the gift cards while redeeming: pwgc_redeeming_session_data, pwgc_redeeming_gift_card_total. Confirmed compatibility with WooCommerce 8.2

= 1.246 =
* Included the Dutch Belgium language (nl_BE) based upon the Dutch (nl_NL) translations. WooCommerce 8.1 compatible.

= 1.245 =
* Fixed a translation in the Dutch language. Compatibility with WordPress 6.3 and WooCommerce 8.0.

= 1.244 =
* Confirmed compatibility with WooCommerce 7.9

= 1.243 =
* Prevent an exception from being thrown when using PHP 8 and UTC offsets for the timezone.

= 1.242 =
* Check the cart object type in the woocommerce_after_calculate_totals hook to ensure other plugins have not changed it. Added a new hook pwgc_allow_applying_by_url which can be used to bypass the ability to add the gift card to the session via URL.

= 1.241 =
* Confirmed compatibility with WooCommerce 7.8

= 1.240 =
* Confirmed compatibility with WooCommerce 7.7

= 1.239 =
* Updated timezone calculation that may occur on some servers when viewing the Activity Date detail record on the Balances page.

= 1.238 =
* Fixed integration issues with the Price Based On Country plugin by Oscar Gare.

= 1.237 =
* Fixed integration issues with the latest version of the Aelia Currency Switcher plugin. Confirmed compatibility with WooCommerce 7.6

= 1.236 =
* Fixed a timezone calculation problem that can occur on some servers when viewing the Activity Date detail record on the Balances page.

= 1.235 =
* Confirmed compatibility with WooCommerce 7.5 and WordPress 6.2

= 1.234 =
* Added a hook to allow overriding the redeem hook priority in custom scripts.

= 1.233 =
* Fixed an issue with the WPML and WooCommerce Multilingual plugins when displaying fixed product prices in the dropdown menu.

= 1.232 =
* Fixed an issue that prevented the gift card email from using the WooCommerce email header and footer.

= 1.231 =
* Confirmed compatibility with WooCommerce 7.5

= 1.230 =
* Integration with YITH WooCommerce PDF Invoice and Shipping List to show the gift card number on the invoice.

= 1.229 =
* Small bug fix for Settings page. Added an extended error message if a new gift card fails to be created.

= 1.228 =
* Confirmed compatibility with WooCommerce 7.4 Fixed a display issue on the Settings page that may cause checkboxes not to show correctly after saving.

= 1.227 =
* Removed deprecation warning messages for PHP 8.2 and later.

= 1.226 =
* Fixed an issue with the gift card amount dropdown when using the Price Based on Countries plugin by Oscar Gare.

= 1.225 =
* Compatibility with XStore Theme from 8theme.

= 1.224 =
* Fixed a display issue for sites with incorrect database table collations.

= 1.223 =
* Fixed a variable name in the gift card email template that may cause the Amount to be blank in the email.

= 1.222 =
* Prevent a possible PHP error if calling cart_contains_gift_card before the WooCommerce Cart object exists. Confirmed compatibility with WooCommerce 7.3

= 1.221 =
* Compatibility update for WooCommerce High Performance Order Storage (HPOS).

= 1.220 =
* Confirmed compatibility with WooCommerce 7.1 and WordPress 6.1

= 1.219 =
* Fixed an issue where the maximum character length was not being enforced.

= 1.218 =
* Confirmed compatibility with WooCommerce 7.0

= 1.217 =
* Added the ability to reset to the default Email Design.

= 1.216 =
* New setting to hide the Pimwick Plugins menu. Fixed an issue with displaying the currency with the WOOCS currency switcher plugin by realmag777. Fixed an issue with displaying the currency with the Aelia Currency Switcher plugin installed. Confirmed compatibility with WooCommerce 6.8

= 1.215 =
* To fix a conflict with some Themes, changed the hook from woocommerce_before_add_to_cart_quantity to woocommerce_before_add_to_cart_button

= 1.214 =
* Fixed a bug preventing custom Attributes from being added to the amount Variations.

= 1.213 =
* Added the Used For Variations checkbox to the Attributes tab.

= 1.211 =
* Gift Card Number is now available in the New Order email when the Send When Payment Received option is enabled.

= 1.210 =
* Renamed the setting Send When Order Received to instead be Send When Payment Received to better reflect what the setting will do. Added a translators message for strings that contain placeholders. WooCommerce 6.7 compatible.

= 1.209 =
* Updated the WooCommerce minimum version requirement to 4.0. Fixed a conflict with the SiteGround Optimizer plugin. Refactored some code.

= 1.208 =
* Fixed a conflict when both the TaxJars and WooCommerce PayPal Payments plugins are enabled.

= 1.207 =
* Fix for failed payments from the WooCommerce Authorize.Net Gateway when redeeming a gift card.

= 1.206 =
* Confirmed compatibility with WooCommerce 6.6

= 1.205 =
* Changed the default to Unchecked for the Buy Gift Cards With Gift Cards setting. Confirmed compatibility with WordPress 6.0

= 1.204 =
* Confirmed compatibility with WooCommerce 6.5

= 1.203 =
* Confirmed compatibility with WooCommerce 6.4 and WordPress 5.9.3

= 1.202 =
* Fix to ensure that the function get_current_screen is available in the current context to prevent an exception on some systems.

= 1.201 =
* Confirmed compatibility with upcoming WooCommerce v6.3

= 1.200 =
* WordPress 5.9 and WooCommerce 6.2 compatibility. Removed several jQuery warnings for deprecated function calls.

= 1.199 =
* Added compatibility for the Mollie Payments for WooCommerce payment gateway plugin.

= 1.198 =
* Integration with Price Based on Country for WooCommerce by Oscar Gare: Fixed a display issue when a custom amount is entered for the Variations. Updated the Javascript initialization routine to check for document ready state for compatibility with some themes.

= 1.197 =
* Fixed a display issue with WooCommerce PayPal Payments plugin by WooCommerce when redeeming a gift card.

= 1.196 =
* Updated instructions on how to contact us for support.

= 1.195 =
* Confirmed compatibility with WooCommerce 6.0

= 1.194 =
* Fixed an issue where the Apply Gift Card and Remove fields did not work on the Cart page after changing the Shipping method. Ensure the Gift Card product data tab is the first one when other plugins are installed such as WPC Composite Products.

= 1.193 =
* Fixed a conflict with WooCommerce Multilingual that occurs when changing the shipping method on the Cart or Checkout pages. Improved the Italian translation.

= 1.192 =
* Confirmed compatibility with WooCommerce v5.9. Added new action hooks to allow other plugins to extend the functionality: pwgc_activity_create, pwgc_activity_transaction, pwgc_activity_deactivate, pwgc_activity_reactivate, pwgc_property_updated_active

= 1.191 =
* Added a new hook to allow changing the email item data: pwgc_customer_email_item_data. Fixed a conflict with PPOM for WooCommerce when changing the shipping method on the Cart or Checkout pages.

= 1.190 =
* Improved the accuracy of the Outstanding Balance amount in the admin area by rounding at each step.

= 1.188 =
* Added a new option to not display the Gift Card Applied message when clicking the Redeem button. To disable this message, set PWGC_SHOW_GIFT_CARD_APPLIED_MESSAGE_FROM_REDEEM_BUTTON to false in wp-config.php

= 1.187 =
* Improved the cart_contains_gift_card() function so it can be used in the back end.

= 1.186 =
* Fixed a conversion issue when using the Price Based on Country for WooCommerce plugin by Oscar Gare.

= 1.185 =
* Prevent a possible exception from being thrown when using WPML Multi Currency.

= 1.184 =
* Confirmed compatibility with WordPress v5.8 and WooCommerce v5.5

= 1.183 =
* Improved the Default email design so that it is based on the configured WooCommerce email color settings. Added Hebrew translation (he_IL)

= 1.182 =
* Fixed an issue where a separate Quantity field would appear on the front end when there are multiple recipient email addresses entered and the selected amount is changed.

= 1.181 =
* Added CSS to fix the display issue with the popular Neve Theme.

= 1.180 =
* Improved integration when using our PW Bulk Edit plugin.

= 1.179 =
* Fixed issue with {sender} being translated in the FI language.

= 1.178 =
* Updated call to the woocommerce_variation_option_name hook to include the parameters added in WC v3.6.1 Updated string translations. Fixed a PHP error in the FI translation.

= 1.177 =
* Fixed a possible fatal error during the Checkout process when the Order object is not of the correct type.

= 1.176 =
* Confirmed compatibility with WordPress 5.7 and WooCommerce 5.1

= 1.175 =
* Added the ability to disable Swatches for the gift card product when using the Variation Swatches For WooCommerce plugin by Emran Ahmed. To disable Swatches for the gift card product only, define the PWGC_WVS_ALLOW constant in your wp-config.php file and set the value to false.

= 1.174 =
* Show the From field in the body of the email in case the WooCommerce Email Header has been turned off in settings.

= 1.173 =
* Internal change to the get_original_order_item_id method to return 0 instead of -1 when the order ID is not found.

= 1.172 =
* Improved integration with WPML WooCommerce Multi Currency.

= 1.171 =
* Confirmed compatibility with WooCommerce 5.0. Small bug fix for getting the existing gift card product.

= 1.170 =
* Fixed an issue with the color picker in the Email Designer on some systems.

= 1.168 =
* Fixed compatibility with the MPesa For WooCommerce plugin by Osen Concepts Kenya. Fixed an issue with integration for Currency Switcher for WooCommerce by WP Wham.

= 1.167 =
* Fixed an issue with integration with the Currency Switcher by WP Wham plugin.

= 1.166 =
* Prevent a possible JSON error during checkout when using a currency switcher plugin.

= 1.165 =
* Added integration with the Paytrail Gateway by SkyVerge

= 1.164 =
* To avoid possible confusion, we no longer display the Amount meta key to the customer. Fixed integration with Currency Switcher for WooCommerce By WP Wham.

= 1.163 =
* Added new flag to disable the sorting of variations in case you want to do a custom order: PWGC_SORT_VARIATIONS

= 1.162 =
* Updated copyright date.

= 1.161 =
* Added Galician translations. Added Arabic translations.

= 1.160 =
* Fix for showing an optional Variation Description on the front end.

= 1.159 =
* Confirmed compatibility with WordPress 5.6 and WooCommerce 4.8

= 1.158 =
* Fixed an issue with cart total when using WooCommerce AvaTax by SkyVerge. Fixed an issue when using Currency Switcher for WooCommerce by WP Wham.

= 1.157 =
* Confirmed compatibility with upcoming WooCommerce 4.8

= 1.156 =
* Compatibility with Currency Switcher for WooCommerce by WP Wham

= 1.155 =
* Fixed a potential PHP error that could be thrown when saving the PW Gift Card product. Fixed an issue with the Remove Gift Card link in the Cart and Checkout pages.

= 1.154 =
* Updated the checkout form to not reload the entire page whenever a gift card is applied. Fixes the totals shown on the Checkout page when using Country Based Restrictions for WooCommerce by zorem.

= 1.153 =
* No longer show the Amount attribute on the Additional Information tab by default. Save the PW Gift Card product to make this change. Fixed a compatibility issue with WooCommerce Currency Switcher by realmag777

= 1.152 =
* Improved gift card translations.

= 1.151 =
* Improved French translation. Confirmed compatibility with WooCommerce 4.7

= 1.150 =
* When the Send When Order Received option is enabled, do not create the gift card until payment has been received. Fixed a compatibility issue with v3 of the Order Minimum/Maximum Amount for WooCommerce by Algoritmika Ltd. Improvements to the Dutch, French, and Finnish translations.

= 1.149 =
* Fixed WPML Multi-Currency compatibility issue where the gift card email has incorrect currency symbol. Fixed an issue with WPML where the gift card email is sent in the store default language rather than the order language.

= 1.148 =
* Fixes a compatibility issue with the WooCommerce Availability Scheduler plugin by vanquish

= 1.147 =
* Confirmed compatibility with WooCommerce v4.6

= 1.146 =
* Fixed an issue with an untranslated string.

= 1.145 =
* Verified compatibility with WooCommerce 4.5. Updated readme.txt to include REST API feature found in the Pro version.

= 1.144 =
* Fixes a potential error: Call to a member function get_regular_price() on boolean

= 1.143 =
* Added the Romanian (ro_RO) translation. Added the Portuguese (pt_PT) translation. Fixes a potential issue with order totals not being recalculated correctly resulting in an error with some payment gateways.

= 1.142 =
* Fixed issue when using a gift card number that contains a backslash.

= 1.141 =
* Improved French translation. Fixed an issue viewing details of a gift card number that contains a backslash.

= 1.140 =
* A few more fixes for compatibility with WOOCS - WooCommerce Currency Switcher plugin by realmag777. Removed the need for the PWGC_WOOCS_PATCH flag. Fixed an issue with PayPal payments where Tax might be calculated again at PayPal.

= 1.139 =
* Added a wp-config flag (PWGC_WOOCS_PATCH) that can be enabled to fix an issue with the amount displayed in the gift card email on certain systems when used in conjunction with the WOOCS - WooCommerce Currency Switcher plugin by realmag777.

= 1.138 =
* Added a new hook (pwgc_gift_card_blocked) that will allow programmatically blocking gift cards from being redeemed. To prevent confusion, make the quantity field read only in the cart when ordering a gift card for multiple recipients.

= 1.137 =
* Added compatibility for the Multi-Currency for WooCommerce by TIV.NET INC plugin. Confirmed compatibility with WooCommerce v4.3

= 1.136 =
* Added the $product parameter to the pwgc_select_amount_text filter.

= 1.135 =
* A recent update may have caused issues with the Add To Cart button not working if you have the Apply Theme Fix option checked. This update reverts the change when the Apply Theme Fix option is enabled we allowed the woocommerce_before_add_to_cart_quantity hook instance to be called multiple times for themes that do this incorrectly. Now you must set PWGC_BEFORE_ADD_TO_CART_QUANTITY_FIX for the sites that are having trouble with this issue.

= 1.133 =
* Verified compatibility with WooCommerce v4.2.0

= 1.132 =
* Fixed a warning when using the Advanced Dynamic Pricing plugin when a gift card is being redeemed.

= 1.131 =
* Updated translations. To fix an issue with certain themes, when the Apply Theme Fix option is enabled we no longer remove the woocommerce_before_add_to_cart_quantity hook instance after it is called.

= 1.130 =
* Hide the Apply Gift Card field whenever the option to allow buying of gift cards with gift cards is disabled.

= 1.129 =
* Previously, the setting for Send When Order Received would only send the gift card once the order was Processing. Now it will send immediately after the order is created which is how this setting was intended.

= 1.128 =
* Refund a redeemed gift card on orders with a Failed status.

= 1.127 =
* Added support for the Order Minimum/Maximum Amount for WooCommerce plugin by Algoritmika Ltd.

= 1.126 =
* Fixed conflicts with the following plugins: Advanced Dynamic Pricing plugin by AlgolPlus, WooCommerce Extended Coupon Features PRO, and WooCommerce AvaTax by SkyVerge.

= 1.125 =
* To avoid confusion, we now display a message in the Order Admin area when an order contains a gift card and it is not yet marked Complete. The message appears as an Order Item Meta entry.

= 1.123 =
* Confirmed compatibility with WordPress 5.5. Added an error message due to a conflict with Advanced Dynamic Pricing plugin. Will remove the message when the conflict has been resolved by the developer of that plugin.

= 1.122 =
* Removed the !important flag from the subtitle text template on the add to cart form.

= 1.121 =
* Prevent a potential for an invalid expiration date to block newly created cards. Added a new filter to be able to prevent gift cards from being redeemed using custom code: pwgc_gift_card_can_be_redeemed

= 1.120 =
* Fixed a few issues on sites with a comma for decimal place.

= 1.119 =
* Confirmed compatibility with WooCommerce v4.1

= 1.118 =
* Finnish translation files were named incorrectly and this has been fixed.

= 1.117 =
* Added Finnish translation.

= 1.116 =
* Compatibility with YITH Color and Label Variations for WooCommerce.

= 1.115 =
* When sending a preview email from the Designer, remember the last email address used for the current session. Added support for the Preview Emails for WooCommerce plugin by Digamber Pradhan.

= 1.114 =
* Added additional hooks to the "Apply Theme Fix" option to make this option work in even more situations.

= 1.113 =
* Confirmed compatibility with WordPress 5.4

= 1.112 =
* Fixed a small issue with the woocommerce_email_footer hook. Removed the foreign key constraint on the Activity table since it can cause problems on some installations.

= 1.111 =
* Added support for the plugin WooCommerce Price Based on Country by Oscar Gare.

= 1.110 =
* Deduct the gift card balance immediately when an order is received for payment types such as Direct Bank Transfer.

= 1.109 =
* Fixed issue that was preventing adding gift card to the cart directly from the URL. Confirmed compatibility with WordPress 5.3.2 and WooCommerce 4.0.0

= 1.108 =
* Fixed an issue with the Brazilian Portuguese translation.

= 1.107 =
* Fixed an issue where custom Attributes added to the gift card product might be lost when updating the Gift Card product.

= 1.106 =
* Fixed a few potential JavaScript errors.

= 1.105 =
* Fixed a display issue with the price when using the WooCommerce Currency Switcher plugin by realmag777.

= 1.104 =
* Fixes a bug in the 'WooCommerce PDF Invoice Builder' plugin by RedNao that causes gift card emails not to be sent.

= 1.103 =
* Show the Attributes tab in the admin area in case you want to add custom attributes to the Gift Card product.

= 1.102 =
* Fixed a potential issue with loading Javascript on the Checkout page for certain themes.

= 1.101 =
* Fixed an issue that made gift card amounts disappear on the product page. Edit the product and click the Update button to apply the fix after upgrading. Changed the JavaScript init so gift cards will work even on sites that have JavaScript errors from other plugins.

= 1.100 =
* Automatically show the active gift cards when the dashboard is first opened instead of having to click the Search button. The View Activity button is now a toggle button to show/hide the activity. Made the gift card fields compatible with even more themes. Fix for a bug with the Antive Toolkit plugin used by some themes. Fixed issue with Format Prices option with comma as decimal separator. Fixed an issue when multiple gift cards are ordered for different people in the same order that some of the data could be mixed up.

= 1.99 =
* Show the "Sold Individually" checkbox on the Inventory tab.

= 1.98 =
* Added a dismiss button to the PayPal IPN / PDT bug warning message.

= 1.97 =
* Fix a display issue when the Gift Card variation has a Sale Price set.

= 1.96 =
* Fixed a bug in the get_published_gift_card_products that would always return IDs. Detect a condition with the PayPal payment gateway that could cause an extra gift card to be generated when the order is marked Complete.

= 1.95 =
* Fixed an issue that prevents the Tax Status from being set on the gift card product.

= 1.94 =
* Tweaked the CSS for the gift card product fields to make them more compatible with a variety of themes. Gift card email is sent translated to the Order language whenever WPML is installed.

= 1.93 =
* Show the General tab so that Tax Status can be set if desired.

= 1.92 =
* Rolled back a change to the product admin page that might interfere with other product types.

= 1.91 =
* Added new option to send the gift card when the order is received rather than waiting until it is Complete.

= 1.90 =
* Improved the template override detection code. Improved the template override detection code. Removed foreign key requirement from table creation.

= 1.89 =
* Fixed a compiler warning.

= 1.88 =
* Improved email template for Outlook clients.

= 1.87 =
* Email Designer added. Easily customize the gift card email from within the admin area! Translation improvements.

= 1.86 =
* Email Designer added. Easily customize the gift card email from within the admin area!

= 1.85 =
* Compatibility fix for the "Variation Swatches for WooCommerce" plugin by Emran Ahmed.

= 1.84 =
* Calculate the balance in the admin search query rather than on each record when displaying.

= 1.83 =
* Improved performance of the admin search. Ensured compatibility with the upcoming WooCommerce 3.8.0 release.

= 1.82 =
* Fixed an issue that may make the PW Gift Cards Email not available on some systems.

= 1.81 =
* Added the option to use the WooCommerce Transactional Email system for gift card emails.

= 1.80 =
* Display the redeemed gift card number in the order email. Disabled the WooCommerce Transactional Email system for gift card emails.

= 1.79 =
* Improved integration with our BOGO plugin. You can now offer eGift cards as a free gift to purchasing customers if you have our PW WooCommerce BOGO plugin installed.

= 1.78 =
* Tested for compatibility with the latest versions of WordPress and WooCommerce.

= 1.77 =
* Fixed small integration issue with the WooCommerce Currency Switcher by realmag777. Removed warning about missing $fees_total definition.

= 1.76 =
* Removed a potential PHP Warning from the wc_get_template function call.

= 1.75 =
* Improved German translation.

= 1.74 =
* Added Swedish translation. Improved German translation.

= 1.73 =
* Confirmed compatibility with WooCommerce v3.6.4 and WordPress v5.2.1

= 1.72
* Fixed calculation issue when fees are included.

= 1.71
* Improved compatibility with WordPress Multisite. Added config flag to share the database across sites: PWGC_MULTISITE_SHARED_DATABASE

= 1.70
* Changed the hook from woocommerce_thankyou to woocommerce_payment_complete to make this more compatible with payment processors that use the Thank You page even for failed orders. Added a new hook pw_gift_cards_amount_attribute_visible_on_product_page to optionally hide the Amount attributes on the product page.

= 1.69
* Updated hooks for status changes to make it more comptaible with WooCommerce POS.

= 1.68
* Added a new hook to allow altering the randomly generated card numbers to do things like add a prefix. Hook: pw_gift_cards_random_card_number.

= 1.67
* Disable AJAX add to cart for the Rigid and OceanWP themes.

= 1.66
* Deduct gift card balance in the woocommerce_pre_payment_complete hook when redeeming.

= 1.65
* Fixed issue where Order would not be marked as Complete when a gift card is purchased along with a Virtual Downloadable product.

= 1.64
* Allow translation of the Pimwick Plugins menu without causing any issues. Fixed issue with WPML when not using multicurrency.

= 1.63
* Check for WPML object to prevent a warning message on some systems.

= 1.62
* Fixed a display issue when Format Price is disabled.

= 1.61
* Fixed issue with order total when redeeming a gift card with WPML currency switcher.

= 1.60
* Allow the gift card code to be applied from the Coupon Code field, even when there is an Individual Use Only coupon applied.

= 1.59
* Added support for Multi Currency for WooCommerce by VillaTheme.

= 1.58
* Added support for WPML WooCommerce Multi-currency.

= 1.57
* Added support for WooCommerce Ultimate Multi Currency Suite by Dev49.net. Removed the misleading "Invalid Email Address" option from setup. Prevent invalid email addresses from being entered when purchasing a gift card.

= 1.56
* Added a new hook to change the Select Amount text on the catalog page: pwgc_select_amount_text

= 1.55
* Fixed compatibility issue with older versions of WooCommerce Memberships plugin.

= 1.54
* Added a notice when a gift card with a zero balance is added to the cart.

= 1.53
* Fixed issue where Checkout page would not reload when a Gift Card number was entered into the Coupon field.

= 1.52
* Added a new setting to apply a fix for themes that do not have the correct WooCommerce hooks.

= 1.51
* Fixed error when checking balance in the admin area.

= 1.50
* Improved support for opting out of discounts in WooCommerce Memberships v1.12.2 and later.

= 1.49
* Added Danish translation.

= 1.48
* Added support for Aelia Currency Switcher and WooCommerce Currency Switcher by realmag777.

= 1.47
* Added an Enabled/Disabled option to the PW Gift Card email. Removed some extraneous code from the payment-method-pw-gift-card template file.

= 1.46 =
* Added $email variable to the woocommerce_email_header hook to fix compatibility with other themes and plugins such as Kadence Themes.

= 1.45 =
* Changed ajaxurl to be relative so it will work if the front-end is not using https.

= 1.44 =
* Added {product_title} to the email template parser.

= 1.43 =
* Fix for PayPal payment whenever amount is less than zero and shipping is the only charge.

= 1.42 =
* Disable AJAX add-to-cart on certain incompatible themes.

= 1.41 =
* Changed the variation selector to be more compatible with other plugins.

= 1.40 =
* Added Portuguese Brazil translation files.

= 1.39 =
* Added Russian translation files.

= 1.38 =
* Added compatibility for WordPress Multi-Site.

= 1.37 =
* Confirmed compatibility with WooCommerce v3.5.0

= 1.36 =
* Updated the template for the redeem form so that CSS styles can be applied immediately.

= 1.35 =
* Prevent the gift card form from being loaded if woocommerce_before_add_to_cart_quantity is called multiple times.

= 1.34 =
* Ensure compatibility with plugins that only check for the Variable type using is_type() rather than the class.

= 1.33 =
* Fixed an issue where entering a gift card on the Cart page might take the customer back to the homepage if permalinks are set to Plain.

= 1.32 =
* Fixed an issue with calculation when using WooCommerce Services for automatic tax calculation.

= 1.31 =
* Show an Expired message on the cart and checkout pages for expired cards. Do not show deactivated cards unless searching for them. Updated translation files. Fix an issue that can prevent the gift card from being added to the cart.

= 1.30 =
* Added a product object to the email template so that product details can be added to the recipient email.

= 1.29 =
* Added support for the plugin WooCommerce Pre-Orders from WooCommerce.com

= 1.28 =
* Added support for variation radio buttons.

= 1.27 =
* Fixed issue with IT and ES translations and the {sender} field in the email templates.

= 1.26 =
* Updated for compatibility with WPML.

= 1.25 =
* Added a setting to not display the gift card redeem field on the Cart or Checkout pages. Fixed a possible conflict with other themes that results in the Apply button not working on the Cart page.

= 1.24 =
* Fixed issue with translationing Other Amount attribute.

= 1.23 =
* Fixed issue with custom translations.

= 1.22 =
* Added email address validation to the "To" field when purchasing a gift card.

= 1.21 =
* Fixed an issue preventing the translation of the To/From/Message fields. Added DE language translation. Fixed issue with non-logged in users redeeming gift cards automatically from the email link.

= 1.20 =
* Fixed an issue with recurring subscription total from the WooCommerce Subscriptions plugin.

= 1.19 =
* Fixed an issue with searching for gift cards in the admin area when there is a table collation mismatch.

= 1.18 =
* Fixed the "Add to Cart" text for some users.

= 1.17 =
* Added recipient to the available fields in the email template.

= 1.16 =
* Added French translations courtesy of Nicolas G.

= 1.15 =
* New options to specify the location of the Apply Gift Card box on the Cart and Checkout pages.

= 1.14 =
* New feature: Search by recipient email address.

= 1.13 =
* Added the ability to search for gift cards and view all cards.

= 1.12 =
* Fixed an issue where pw_gift_card_amount meta value was added to non-gift card order line items.

= 1.11 =
* Added a new option to disable using WooCommerce Transactional Email system.

= 1.10 =
* Fixed compatibility with automatic tax calculations provided by WooCommerce Services.

= 1.9 =
* Updated text domain to support translations.

= 1.7 =
* Added the ability to apply a gift card on the Checkout page. Fixed an issue with updating amounts.

= 1.6 =
* Include the pimwick Text Domain to make translations easier.

= 1.5 =
* Fixed issue with auto-creating the Gift Card product.

= 1.4 =
* Improved compatibility for older browsers such as IE11.

= 1.3 =
* Fixed issue when using older versions of PHP.

= 1.2 =
* Fixed issue with removing all default amounts and re-adding.

= 1.1 =
* Added PW Gift Cards under WooCommerce -> Settings -> Products. New option to disable the feature that auto-completes gift card only orders. Moved the (optional) flag to the title instead of the placeholder for the Message field.

= 1.0 =
* Initial version.
